Bug 115043 - devel/automake19 does not compile on FreeBSD 5.3
Summary: devel/automake19 does not compile on FreeBSD 5.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ade Lovett
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-07-30 16:30 UTC by goran
Modified: 2007-07-31 08:40 UTC (History)
0 users

See Also:


Attachments
patch-automake19 (537 bytes, text/x-diff; charset="iso-8859-1")
2007-07-31 08:06 UTC, Heiner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description goran 2007-07-30 16:30:01 UTC
	===>  Building for automake-1.9.6_2
Making all in .
rm -f automake automake.tmp
sed  -e 's,[@]APIVERSION[@],1.9,g'  -e 's,[@]PACKAGE[@],automake,g'  -e 's,[@]PATH_SEPARATOR[@],:,g'  -e 's,[@]PERL[@],/usr/bin/perl,g'  -e 's,[@]SHELL[@],/bin/sh,g'  -e 's,[@]VERSION[@],1.9.6,g'  -e 's,[@]configure_input[@],Generated from automake.in; do not edit by hand.,g'  -e 's,[@]datadir[@],/usr/local/share,g' ./automake.in >automake.tmp
chmod +x automake.tmp
chmod a-w automake.tmp
mv -f automake.tmp automake
rm -f aclocal aclocal.tmp
sed  -e 's,[@]APIVERSION[@],1.9,g'  -e 's,[@]PACKAGE[@],automake,g'  -e 's,[@]PATH_SEPARATOR[@],:,g'  -e 's,[@]PERL[@],/usr/bin/perl,g'  -e 's,[@]SHELL[@],/bin/sh,g'  -e 's,[@]VERSION[@],1.9.6,g'  -e 's,[@]configure_input[@],Generated from aclocal.in; do not edit by hand.,g'  -e 's,[@]datadir[@],/usr/local/share,g' ./aclocal.in >aclocal.tmp
chmod +x aclocal.tmp
chmod a-w aclocal.tmp
mv -f aclocal.tmp aclocal
Making all in doc
restore=: && backupdir=".am$$" &&  am__cwd=`pwd` && cd . &&  rm -rf $backupdir && mkdir $backupdir &&  if (makeinfo --no-split --version) >/dev/null 2>&1; then  for f in ./automake-1.9.info ./automake-1.9.info-[0-9] ./automake-1.9.info-[0-9][0-9] ./automake-1.9.i[0-9] ./automake-1.9.i[0-9][0-9]; do  if test -f $f; then mv $f $backupdir; restore=mv; else :; fi;  done;  else :; fi &&  cd "$am__cwd";  if makeinfo --no-split   -I .  -o ./automake-1.9.info ./automake-1.9.texi;  then  rc=0;  cd .;  else  rc=$?;  cd . &&  $restore $backupdir/* `echo "././automake-1.9.info" | sed 's|[^/]*$||'`;  fi;  rm -rf $backupdir; exit $rc
./automake-1.9.texi:9821: Unknown command `headitem'.
makeinfo: Removing output file `./automake-1.9.info' due to errors; use --force to preserve.
*** Error code 1

Stop in /usr/ports/devel/automake19/work/automake-1.9.6/doc.
*** Error code 1

Stop in /usr/ports/devel/automake19/work/automake-1.9.6.
*** Error code 1

Stop in /usr/ports/devel/automake19.
** Command failed [exit code 1]: /usr/bin/script -qa /tmp/portupgrade.20899.7 env UPGRADE_TOOL=portupgrade UPGRADE_PORT=automake-1.9.6_1 UPGRADE_PORT_VER=1.9.6_1 make
** Fix the problem and try again.
** Listing the failed packages (*:skipped / !:failed)
        ! devel/automake19 (automake-1.9.6_1)   (texinfo error)

How-To-Repeat: 	portupgrade automake19
Comment 1 Remko Lodder freebsd_committer 2007-07-30 16:34:55 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports pr
Comment 2 Mark Linimon 2007-07-31 04:16:35 UTC
Unfortunately all support for 5.3 was dropped on 10/31/2006, so you are
on your own here.  My advice is to update to at least 5.5 or 5-STABLE,
or preferably 6.2 or 6-STABLE.

mcl
Comment 3 Heiner 2007-07-31 08:06:46 UTC
Hi!

The attached patch helped here (FreeBSD 5.5-RELEASE-p1)


Heiner
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2007-07-31 08:22:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ade

Contains patch for 5.X.
Comment 5 dfilter service freebsd_committer 2007-07-31 08:36:19 UTC
ade         2007-07-31 07:36:14 UTC

  FreeBSD ports repository

  Modified files:
    devel/automake19     Makefile 
  Log:
  Fix build on FreeBSD 5.5 (missing makeinfo features)
  
  PR:             115043
  Submitted by:   Heiner <h.eichmann@gmx.de>
  
  Revision  Changes    Path
  1.71      +8 -1      ports/devel/automake19/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Ade Lovett freebsd_committer 2007-07-31 08:36:23 UTC
State Changed
From-To: open->closed

Was just about to do this anyway from other reports. 
Update committed, thanks.